ranges::v3::view::sample_fn Class Reference

## Description

Returns a random sample of a range of length `size(range)`.

## Synopsis of methods

constexpr view< sample_fn > | sample {}

## Public Member Functions

template<typename Rng , typename URNG = detail::default_random_engine, requires = (Constraint<Rng, URNG>())>
sample_view< all_t< Rng >, URNG > | operator() (Rng &&rng, range_difference_type_t< Rng > sample_size, URNG &generator=detail::get_random_engine()) const